<?xml version="1.0" encoding="UTF-8"?>
<config type="unix">
  <general applicationName="JProfiler" applicationVersion="5.2.2" mediaSetId="28" applicationId="4614-5278-1411-5001" status="LCOK" mediaName="jprofiler_linux_5_2_2" jreVersion="" minJavaVersion="1.4.1" publisherName="ej-technologies GmbH" publisherURL="http://www.ej-technologies.com" jreShared="false" lzmaCompression="false" pack200Compression="false" installerType="1" suggestPreviousProgramGroup="true" addOnAppId="" suggestPreviousLocations="true" uninstallerFilename="uninstall" uninstallerDirectory="." />
  <languages skipLanguageSelection="false" languageSelectionInPrincipalLanguage="false">
    <variable id="en" name="English" messageFile="i4j_extf_0_g19lz8.utf8" customLocalizationFile="" />
  </languages>
  <variables>
    <variable name="NATIVE_LIBDIR" value="linux-x86" />
    <variable name="changelogUrl" value="http://www.ej-technologies.com/download/jprofiler/changelog.html" />
    <variable name="DYNAMIC_BUNDLE_VERSION" value="1.6_13" />
    <variable name="majorVersion" value="5" />
    <variable name="JRE_VERSION" value="1.6.0_13" />
    <variable name="MEDIA_JVM_OPTIONS" value="" />
    <variable name="MIN_JAVA_VERSION" value="1.4.1" />
    <variable name="updateUrl" value="http://download.ej-technologies.com/jprofiler/updates.xml" />
    <variable name="EXECUTABLE_NAME" value="jprofiler" />
    <variable name="winSigner" value="osslsigncode -spc ../../../../myOwn.spc -key ../../../../mykey.der -t http://timestamp.verisign.com/scripts/timstamp.dll -in $EXECUTABLE -out $OUTFILE" />
    <variable name="MAX_JAVA_VERSION" value="1.6" />
    <variable name="sys.version" value="5.2.2" />
    <variable name="sys.shortName" value="jprofiler" />
    <variable name="sys.fullName" value="JProfiler" />
    <variable name="sys.publisher" value="ej-technologies GmbH" />
    <variable name="sys.publisherUrl" value="http://www.ej-technologies.com" />
    <variable name="sys.setName" value="Linux archive" />
    <variable name="sys.platform" value="unix" />
    <variable name="sys.languageId" value="en" />
    <variable name="sys.withJre" value="" />
    <variable name="sys.date" value="20090422" />
    <variable name="sys.javaMinVersion" value="1.4.1" />
    <variable name="sys.javaMaxVersion" value="1.6" />
    <variable name="sys.install4jHome" value="/kunden/242343_81543/applications/install4j" />
    <variable name="sys.applicationId" value="4614-5278-1411-5001" />
  </variables>
  <customCode />
  <applications>
    <application id="installer">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.InstallerApplication" />
      </java>
      <screens>
        <screen id="15" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="113" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.WelcomeScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="114" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.LicenseScreen">
              <void property="displayedTextFile">
                <object class="com.install4j.api.beans.ExternalFile">
                  <string>i4j_extf_1_g19lz8.html</string>
                </object>
              </void>
            </object>
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="115" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationDirectoryScreen">
              <void property="validateApplicationId">
                <boolean>false</boolean>
              </void>
            </object>
          </java>
          <actions>
            <action id="995" conditionClass="I4jScript_Internal_337" rollbackBarrier="false" multiExec="true" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.LoadResponseFileAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="117" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StandardProgramGroupScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="166" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.AdditionalConfirmationsScreen" />
          </java>
          <actions />
          <formComponents>
            <formComponent id="170" initClassName="I4jScript_Internal_338" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>Associate snapshots files (*.jps) with JProfiler</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>createFileAssociation</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="858" initClassName="I4jScript_Internal_339" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>Associate HPROF files (*.hprof) with JProfiler</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>createHprofFileAssociation</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="169" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>${i18n:CreateDesktopIcon}</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>createDesktopLinkAction</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="167" initClassName="I4jScript_Internal_340" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>${i18n:CreateQuickLaunchIcon}</string>
                  </void>
                  <void property="variableName">
                    <string>createQuicklaunchIconAction</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
        <screen id="119" conditionClass="" rollbackBarrier="true" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationScreen" />
          </java>
          <actions>
            <action id="120" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.InstallFilesAction" />
              </java>
            </action>
            <action id="121" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateProgramGroupAction">
                  <void property="programGroupEntryConfigs">
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupEntryConfig">
                        <void property="name">
                          <string>JProfiler Help</string>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>doc/index.html</string>
                          </object>
                        </void>
                      </object>
                    </void>
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupEntryConfig">
                        <void property="name">
                          <string>JProfiler Printable Manual</string>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>doc/help.pdf</string>
                          </object>
                        </void>
                      </object>
                    </void>
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupEntryConfig">
                        <void property="name">
                          <string>JProfiler on the Web</string>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>JProfiler.url</string>
                          </object>
                        </void>
                      </object>
                    </void>
                  </void>
                  <void property="programGroupName">
                    <string>JProfiler 5</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="122" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.RegisterAddRemoveAction">
                  <void property="itemName">
                    <string>JProfiler 5.2.2</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="123" conditionClass="I4jScript_Internal_341" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateFileAssociationAction">
                  <void property="description">
                    <string>JProfiler snapshots</string>
                  </void>
                  <void property="extension">
                    <string>jps</string>
                  </void>
                  <void property="launcherId">
                    <string>2</string>
                  </void>
                  <void property="mac">
                    <boolean>false</boolean>
                  </void>
                  <void property="macIconFile">
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string />
                    </object>
                  </void>
                  <void property="windowsIconFile">
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string />
                    </object>
                  </void>
                </object>
              </java>
            </action>
            <action id="860" conditionClass="I4jScript_Internal_342" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateFileAssociationAction">
                  <void property="description">
                    <string>HPROF snapshots</string>
                  </void>
                  <void property="extension">
                    <string>hprof</string>
                  </void>
                  <void property="launcherId">
                    <string>2</string>
                  </void>
                  <void property="mac">
                    <boolean>false</boolean>
                  </void>
                  <void property="macIconFile">
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string />
                    </object>
                  </void>
                  <void property="windowsIconFile">
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string />
                    </object>
                  </void>
                </object>
              </java>
            </action>
            <action id="165" conditionClass="I4jScript_Internal_343" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateQuicklaunchIconAction">
                  <void property="description">
                    <string>JProfiler</string>
                  </void>
                  <void property="file">
                    <object class="java.io.File">
                      <string>bin/jprofiler</string>
                    </object>
                  </void>
                </object>
              </java>
            </action>
            <action id="168" conditionClass="I4jScript_Internal_344" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateDesktopLinkAction">
                  <void property="file">
                    <object class="java.io.File">
                      <string>bin/jprofiler</string>
                    </object>
                  </void>
                  <void property="name">
                    <string>JProfiler</string>
                  </void>
                </object>
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="728" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FormScreen">
              <void property="subTitle">
                <string>Do wish to check for updates automatically?</string>
              </void>
              <void property="title">
                <string>Update Settings</string>
              </void>
            </object>
          </java>
          <actions />
          <formComponents>
            <formComponent id="729" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>JProfiler can check for updated versions of itself automatically. The check will be performed in the background and you will only be notified if a new version is available.</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="730" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent" />
              </java>
            </formComponent>
            <formComponent id="731" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.UpdateScheduleSelectorComponent">
                  <void property="labelText">
                    <string>Check for updates:</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
        <screen id="124" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FinishedScreen" />
          </java>
          <actions>
            <action id="142" conditionClass="I4jScript_Internal_345" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.finish.ExecuteLauncherAction">
                  <void property="launcherId">
                    <string>2</string>
                  </void>
                </object>
              </java>
            </action>
          </actions>
          <formComponents>
            <formComponent id="143" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>${i18n:RunEntryExec("JProfiler")}</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>executeLauncherAction</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
      </screens>
    </application>
    <application id="uninstaller">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.UninstallerApplication" />
      </java>
      <screens>
        <screen id="16" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="125" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallWelcomeScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="162" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FormScreen">
              <void property="subTitle">
                <string>Which additional tasks should be performed?</string>
              </void>
              <void property="title">
                <string>Select Additional Tasks</string>
              </void>
            </object>
          </java>
          <actions />
          <formComponents>
            <formComponent id="163" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>Select the additional tasks you would like Setup to perform while uninstalling JProfiler, then click Next</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="164" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>remove licensing and configuration information for the current user</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>removeLicense</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
        <screen id="126" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallationScreen" />
          </java>
          <actions>
            <action id="161" conditionClass="I4jScript_Internal_346" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.files.DeleteFileAction">
                  <void property="file">
                    <object class="java.io.File">
                      <string>${installer:sys.userHome}/.jprofiler5</string>
                    </object>
                  </void>
                  <void property="recurse">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
            </action>
            <action id="204" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.files.DeleteFileAction">
                  <void property="file">
                    <object class="java.io.File">
                      <string>api/samples</string>
                    </object>
                  </void>
                  <void property="recurse">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
            </action>
            <action id="160" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.jprofiler.installer.JProfilerUninstallAction" />
              </java>
            </action>
            <action id="127" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.UninstallFilesAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="128" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallFailureScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="129" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallSuccessScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
      </screens>
    </application>
    <application id="237">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.CustomApplication">
          <void property="customPngIcon16File">
            <object class="com.install4j.api.beans.ExternalFile">
              <string>i4j_extf_2_g19lz8_uh25dh.png</string>
            </object>
          </void>
          <void property="customPngIcon32File">
            <object class="com.install4j.api.beans.ExternalFile">
              <string>i4j_extf_3_g19lz8_ztjxja.png</string>
            </object>
          </void>
          <void property="executableDirectory">
            <object class="java.io.File">
              <string>bin</string>
            </object>
          </void>
          <void property="executableName">
            <string>updater</string>
          </void>
          <void property="useCustomIcon">
            <boolean>true</boolean>
          </void>
          <void property="windowTitle">
            <string>${i18n:updater.WindowTitle("JProfiler")}</string>
          </void>
        </object>
      </java>
      <screens>
        <screen id="277" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="238" conditionClass="I4jScript_Internal_347" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.CustomizableBannerScreen">
              <void property="infoText">
                <string>${i18n:updater.WelcomeInfoText("JProfiler")}</string>
              </void>
              <void property="title">
                <string>${i18n:updater.WelcomeTitle("JProfiler")}</string>
              </void>
            </object>
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="239" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.CustomizableProgressScreen">
              <void property="initialStatusMessage">
                <string>${i18n:updater.CheckForUpdateLabel}</string>
              </void>
              <void property="subTitle">
                <string>${i18n:updater.CheckForUpdateSubtitle}</string>
              </void>
              <void property="title">
                <string>${i18n:updater.CheckForUpdateTitle}</string>
              </void>
            </object>
          </java>
          <actions>
            <action id="240" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SetProgressAction">
                  <void property="progressChangeType">
                    <object class="com.install4j.runtime.beans.actions.control.ProgressChangeType" field="SET_INDETERMINATE" />
                  </void>
                </object>
              </java>
            </action>
            <action id="241" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.update.CheckForUpdateAction">
                  <void property="updateDescriptorUrl">
                    <string>http://download.ej-technologies.com/jprofiler/updates.xml</string>
                  </void>
                  <void property="variable">
                    <string>updateDescriptor</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="242" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SleepAction" />
              </java>
            </action>
            <action id="243" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                  <void property="script">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>I4jScript_Internal_348</string>
                      </void>
                    </object>
                  </void>
                  <void property="variableName">
                    <string>updateDescriptorEntry</string>
                  </void>
                </object>
              </java>
            </action>
            <group id="244">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.groups.ActionGroup">
                  <void property="conditionExpression">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>I4jScript_Internal_349</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <beans>
                <action id="245" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_350</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterNewVersion</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="246" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_351</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadSize</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="247" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_352</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterComment</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="248" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_353</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadDir</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="249" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_354</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadUrl</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="250" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_355</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>isArchive</string>
                      </void>
                    </object>
                  </java>
                </action>
              </beans>
            </group>
          </actions>
          <formComponents />
        </screen>
        <group id="251">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.ScreenGroup">
              <void property="conditionExpression">
                <object class="com.install4j.api.beans.ScriptProperty">
                  <void property="value">
                    <string>I4jScript_Internal_356</string>
                  </void>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <screen id="252" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableBannerScreen">
                  <void property="infoText">
                    <string>${i18n:updater.UpToDateInfoText("JProfiler")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.UpToDateTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents />
            </screen>
          </beans>
        </group>
        <group id="253">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.ScreenGroup">
              <void property="conditionExpression">
                <object class="com.install4j.api.beans.ScriptProperty">
                  <void property="value">
                    <string>I4jScript_Internal_357</string>
                  </void>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <screen id="254" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.FormScreen">
                  <void property="subTitle">
                    <string>${i18n:updater.NewVersionAvailableSubtitle("JProfiler")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.NewVersionAvailableTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents>
                <formComponent id="255" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.CurrentVersionLabel}</string>
                      </void>
                      <void property="valueLabelColor">
                        <object class="java.awt.Color">
                          <int>128</int>
                          <int>0</int>
                          <int>0</int>
                          <int>255</int>
                        </object>
                      </void>
                      <void property="valueLabelFont">
                        <object class="java.awt.Font">
                          <string>dialog</string>
                          <int>1</int>
                          <int>0</int>
                        </object>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:sys.version}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="256" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.NewVersionLabel}</string>
                      </void>
                      <void property="valueLabelColor">
                        <object class="java.awt.Color">
                          <int>0</int>
                          <int>128</int>
                          <int>0</int>
                          <int>255</int>
                        </object>
                      </void>
                      <void property="valueLabelFont">
                        <object class="java.awt.Font">
                          <string>dialog</string>
                          <int>1</int>
                          <int>0</int>
                        </object>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:updaterNewVersion}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="257" initClassName="I4jScript_Internal_359" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkActionLabelComponent">
                      <void property="actionScript">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_358</string>
                          </void>
                        </object>
                      </void>
                      <void property="hyperlinkText">
                        <string>${i18n:updater.ShowComments}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="258" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkLabelComponent">
                      <void property="hyperlinkText">
                        <string>Change log</string>
                      </void>
                      <void property="url">
                        <string>http://www.ej-technologies.com/download/jprofiler/changelog.html</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="259" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent" />
                  </java>
                </formComponent>
                <formComponent id="260" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                      <void property="labelText">
                        <string>${i18n:updater.DownloadLocationLabel}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="261" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.DirectoryChooserComponent">
                      <void property="initialFile">
                        <string>${installer:updaterDownloadDir}</string>
                      </void>
                      <void property="labelText">
                        <string>${i18n:updater.DownloadToLabel}</string>
                      </void>
                      <void property="manualEntryAllowed">
                        <boolean>false</boolean>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadLocation</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="262" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.DownloadSizeLabel}</string>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:updaterDownloadSize}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
              </formComponents>
            </screen>
            <screen id="263" conditionClass="I4jScript_Internal_360" rollbackBarrier="false" preActivationClass="I4jScript_Internal_361" postActivationClass="" validationClass="I4jScript_Internal_362" backButtonType="2" finishScreen="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableInfoScreen">
                  <void property="displayedText">
                    <string>${installer:updaterComment}</string>
                  </void>
                  <void property="infoText">
                    <string>${i18n:updater.CommentsLabel}</string>
                  </void>
                  <void property="subTitle">
                    <string>${i18n:updater.CommentsSubTitle}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.CommentsTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents />
            </screen>
            <screen id="264" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableProgressScreen">
                  <void property="subTitle">
                    <string>${i18n:updater.DownloadSubTitle}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.DownloadTitle}</string>
                  </void>
                </object>
              </java>
              <actions>
                <action id="265" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_363</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadFile</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="266" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.update.DownloadFileAction">
                      <void property="targetFile">
                        <string>${installer:updaterDownloadFile}</string>
                      </void>
                      <void property="url">
                        <string>${installer:updaterDownloadUrl}</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="267" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.files.SetModeAction">
                      <void property="file">
                        <object class="java.io.File">
                          <string>${installer:updaterDownloadFile}</string>
                        </object>
                      </void>
                      <void property="mode">
                        <string>755</string>
                      </void>
                    </object>
                  </java>
                </action>
              </actions>
              <formComponents />
            </screen>
            <screen id="268" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.BannerFormScreen">
                  <void property="infoText">
                    <string>${i18n:updater.FinishInfoText("JProfiler")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.FinishTitle}</string>
                  </void>
                </object>
              </java>
              <actions>
                <group id="269">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.groups.ActionGroup">
                      <void property="conditionExpression">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_364</string>
                          </void>
                        </object>
                      </void>
                    </object>
                  </java>
                  <beans>
                    <action id="270" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.update.ShutdownCallingLauncherAction" />
                      </java>
                    </action>
                    <action id="271" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="${i18n:updater.LaunchError}">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.misc.RunExecutableAction">
                          <void property="executable">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadFile}</string>
                            </object>
                          </void>
                          <void property="workingDirectory">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadLocation}</string>
                            </object>
                          </void>
                        </object>
                      </java>
                    </action>
                  </beans>
                </group>
              </actions>
              <formComponents>
                <formComponent id="272" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.LabelComponent">
                      <void property="labelText">
                        <string>${i18n:updater.LaunchUpdaterQuestion}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="273" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent">
                      <void property="height">
                        <int>5</int>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="274" initClassName="I4jScript_Internal_365" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.RadiobuttonsComponent">
                      <void property="radioButtonLabels">
                        <array class="java.lang.String" length="2">
                          <void index="0">
                            <string>${i18n:updater.LaunchUpdaterLabel}</string>
                          </void>
                          <void index="1">
                            <string>${i18n:updater.DoNotLaunchUpdaterLabel}</string>
                          </void>
                        </array>
                      </void>
                      <void property="variableName">
                        <string>updaterLaunchSelection</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="275" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkActionLabelComponent">
                      <void property="actionScript">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_366</string>
                          </void>
                        </object>
                      </void>
                      <void property="hyperlinkText">
                        <string>${i18n:updater.OpenContainingFolderLabel}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="276" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.ProgressComponent">
                      <void property="detailVisible">
                        <boolean>false</boolean>
                      </void>
                      <void property="hideInitially">
                        <boolean>true</boolean>
                      </void>
                    </object>
                  </java>
                </formComponent>
              </formComponents>
            </screen>
          </beans>
        </group>
      </screens>
    </application>
    <application id="278">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.CustomApplication">
          <void property="customPngIcon16File">
            <object class="com.install4j.api.beans.ExternalFile">
              <string>i4j_extf_2_g19lz8_uh25dh.png</string>
            </object>
          </void>
          <void property="customPngIcon32File">
            <object class="com.install4j.api.beans.ExternalFile">
              <string>i4j_extf_3_g19lz8_ztjxja.png</string>
            </object>
          </void>
          <void property="executableName">
            <string>updater</string>
          </void>
          <void property="useCustomIcon">
            <boolean>true</boolean>
          </void>
          <void property="windowTitle">
            <string>${i18n:updater.WindowTitle("JProfiler")}</string>
          </void>
        </object>
      </java>
      <screens>
        <screen id="303" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions>
            <action id="304" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.update.CheckForUpdateAction">
                  <void property="showError">
                    <boolean>false</boolean>
                  </void>
                  <void property="updateDescriptorUrl">
                    <string>http://download.ej-technologies.com/jprofiler/updates.xml</string>
                  </void>
                  <void property="variable">
                    <string>updateDescriptor</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="305" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                  <void property="failIfNull">
                    <boolean>true</boolean>
                  </void>
                  <void property="script">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>I4jScript_Internal_367</string>
                      </void>
                    </object>
                  </void>
                  <void property="variableName">
                    <string>updateDescriptorEntry</string>
                  </void>
                </object>
              </java>
            </action>
            <group id="306">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.groups.ActionGroup">
                  <void property="conditionExpression">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>I4jScript_Internal_368</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <beans>
                <action id="307" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_369</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterNewVersion</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="308" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_370</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadSize</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="309" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_371</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterComment</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="310" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_372</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadDir</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="311" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_373</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadUrl</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="312" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_374</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>isArchive</string>
                      </void>
                    </object>
                  </java>
                </action>
              </beans>
            </group>
          </actions>
          <formComponents />
        </screen>
        <group id="279">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.ScreenGroup">
              <void property="conditionExpression">
                <object class="com.install4j.api.beans.ScriptProperty">
                  <void property="value">
                    <string>I4jScript_Internal_375</string>
                  </void>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <screen id="280" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.FormScreen">
                  <void property="subTitle">
                    <string>${i18n:updater.NewVersionAvailableSubtitle("JProfiler")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.NewVersionAvailableTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents>
                <formComponent id="281" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.CurrentVersionLabel}</string>
                      </void>
                      <void property="valueLabelColor">
                        <object class="java.awt.Color">
                          <int>128</int>
                          <int>0</int>
                          <int>0</int>
                          <int>255</int>
                        </object>
                      </void>
                      <void property="valueLabelFont">
                        <object class="java.awt.Font">
                          <string>dialog</string>
                          <int>1</int>
                          <int>0</int>
                        </object>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:sys.version}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="282" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.NewVersionLabel}</string>
                      </void>
                      <void property="valueLabelColor">
                        <object class="java.awt.Color">
                          <int>0</int>
                          <int>128</int>
                          <int>0</int>
                          <int>255</int>
                        </object>
                      </void>
                      <void property="valueLabelFont">
                        <object class="java.awt.Font">
                          <string>dialog</string>
                          <int>1</int>
                          <int>0</int>
                        </object>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:updaterNewVersion}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="283" initClassName="I4jScript_Internal_377" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkActionLabelComponent">
                      <void property="actionScript">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_376</string>
                          </void>
                        </object>
                      </void>
                      <void property="hyperlinkText">
                        <string>${i18n:updater.ShowComments}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="284" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkLabelComponent">
                      <void property="hyperlinkText">
                        <string>Change log</string>
                      </void>
                      <void property="url">
                        <string>http://www.ej-technologies.com/download/jprofiler/changelog.html</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="285" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent" />
                  </java>
                </formComponent>
                <formComponent id="286" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                      <void property="labelText">
                        <string>${i18n:updater.DownloadLocationLabel}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="287" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.DirectoryChooserComponent">
                      <void property="initialFile">
                        <string>${installer:updaterDownloadDir}</string>
                      </void>
                      <void property="labelText">
                        <string>${i18n:updater.DownloadToLabel}</string>
                      </void>
                      <void property="manualEntryAllowed">
                        <boolean>false</boolean>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadLocation</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="288" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.DownloadSizeLabel}</string>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:updaterDownloadSize}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
              </formComponents>
            </screen>
            <screen id="289" conditionClass="I4jScript_Internal_378" rollbackBarrier="false" preActivationClass="I4jScript_Internal_379" postActivationClass="" validationClass="I4jScript_Internal_380" backButtonType="2" finishScreen="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableInfoScreen">
                  <void property="displayedText">
                    <string>${installer:updaterComment}</string>
                  </void>
                  <void property="infoText">
                    <string>${i18n:updater.CommentsLabel}</string>
                  </void>
                  <void property="subTitle">
                    <string>${i18n:updater.CommentsSubTitle}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.CommentsTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents />
            </screen>
            <screen id="290" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableProgressScreen">
                  <void property="subTitle">
                    <string>${i18n:updater.DownloadSubTitle}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.DownloadTitle}</string>
                  </void>
                </object>
              </java>
              <actions>
                <action id="291" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_381</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadFile</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="292" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.update.DownloadFileAction">
                      <void property="targetFile">
                        <string>${installer:updaterDownloadFile}</string>
                      </void>
                      <void property="url">
                        <string>${installer:updaterDownloadUrl}</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="293" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.files.SetModeAction">
                      <void property="file">
                        <object class="java.io.File">
                          <string>${installer:updaterDownloadFile}</string>
                        </object>
                      </void>
                      <void property="mode">
                        <string>755</string>
                      </void>
                    </object>
                  </java>
                </action>
              </actions>
              <formComponents />
            </screen>
            <screen id="294" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.BannerFormScreen">
                  <void property="infoText">
                    <string>${i18n:updater.FinishInfoText("JProfiler")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.FinishTitle}</string>
                  </void>
                </object>
              </java>
              <actions>
                <group id="295">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.groups.ActionGroup">
                      <void property="conditionExpression">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_382</string>
                          </void>
                        </object>
                      </void>
                    </object>
                  </java>
                  <beans>
                    <action id="296" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.update.ShutdownCallingLauncherAction" />
                      </java>
                    </action>
                    <action id="297" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="${i18n:updater.LaunchError}">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.misc.RunExecutableAction">
                          <void property="executable">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadFile}</string>
                            </object>
                          </void>
                          <void property="workingDirectory">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadLocation}</string>
                            </object>
                          </void>
                        </object>
                      </java>
                    </action>
                  </beans>
                </group>
              </actions>
              <formComponents>
                <formComponent id="298" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.LabelComponent">
                      <void property="labelText">
                        <string>${i18n:updater.LaunchUpdaterQuestion}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="299" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent">
                      <void property="height">
                        <int>5</int>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="300" initClassName="I4jScript_Internal_383" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.RadiobuttonsComponent">
                      <void property="radioButtonLabels">
                        <array class="java.lang.String" length="2">
                          <void index="0">
                            <string>${i18n:updater.LaunchUpdaterLabel}</string>
                          </void>
                          <void index="1">
                            <string>${i18n:updater.DoNotLaunchUpdaterLabel}</string>
                          </void>
                        </array>
                      </void>
                      <void property="variableName">
                        <string>updaterLaunchSelection</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="301" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkActionLabelComponent">
                      <void property="actionScript">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_384</string>
                          </void>
                        </object>
                      </void>
                      <void property="hyperlinkText">
                        <string>${i18n:updater.OpenContainingFolderLabel}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="302" initClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.ProgressComponent">
                      <void property="detailVisible">
                        <boolean>false</boolean>
                      </void>
                      <void property="hideInitially">
                        <boolean>true</boolean>
                      </void>
                    </object>
                  </java>
                </formComponent>
              </formComponents>
            </screen>
          </beans>
        </group>
      </screens>
    </application>
  </applications>
  <launchers>
    <launcher type="gui" id="2" excludeFromMenu="false" uninstaller="false" name="JProfiler" file="bin/jprofiler" />
    <launcher type="console" id="68" excludeFromMenu="true" uninstaller="false" name="Profiling arguments helper" file="bin/arguments" />
    <launcher type="console" id="81" excludeFromMenu="true" uninstaller="false" name="Command line export" file="bin/jpexport" />
    <launcher type="console" id="112" excludeFromMenu="true" uninstaller="false" name="Command line comparison" file="bin/jpcompare" />
    <launcher type="console" id="380" excludeFromMenu="true" uninstaller="false" name="Command line integration wizard" file="bin/jpintegrate" />
    <launcher type="installerApplication" id="4086" excludeFromMenu="true" uninstaller="false" name="Standalone updater" file="bin/updater" />
    <launcher type="installerApplication" id="4087" excludeFromMenu="true" uninstaller="false" name="Updater with silent version check" file=".install4j/updater" />
  </launchers>
  <scriptClassOrigins>
    <class className="I4jScript_Internal_381" beanType="action" beanName="Download location [Set a variable]" propertyName="Script" parentScreen="Download new version [Display progress]" />
    <class className="I4jScript_Internal_380" beanType="screen" beanName="Update message [Display text]" propertyName="Validation expression" parentScreen="" />
    <class className="I4jScript_Internal_373" beanType="action" beanName="Download URL [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_338" beanType="form component" beanName="File association [Check box]" propertyName="Initialization script" parentScreen="Additional confirmations" />
    <class className="I4jScript_Internal_374" beanType="action" beanName="Archive [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_337" beanType="action" beanName="Load a response file" propertyName="Condition expression" parentScreen="Installation location" />
    <class className="I4jScript_Internal_371" beanType="action" beanName="Comment [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_372" beanType="action" beanName="Download directory [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_377" beanType="form component" beanName="Hyperlink action label" propertyName="Initialization script" parentScreen="New version available [Configurable form]" />
    <class className="I4jScript_Internal_378" beanType="screen" beanName="Update message [Display text]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_359" beanType="form component" beanName="Hyperlink action label" propertyName="Initialization script" parentScreen="New version available [Configurable form]" />
    <class className="I4jScript_Internal_375" beanType="group" beanName="Update available [Screen group]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_358" beanType="form component" beanName="Hyperlink action label" propertyName="Action script" parentScreen="New version available [Configurable form]" />
    <class className="I4jScript_Internal_376" beanType="form component" beanName="Hyperlink action label" propertyName="Action script" parentScreen="New version available [Configurable form]" />
    <class className="I4jScript_Internal_357" beanType="group" beanName="Update available [Screen group]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_339" beanType="form component" beanName="File association [Check box]" propertyName="Initialization script" parentScreen="Additional confirmations" />
    <class className="I4jScript_Internal_356" beanType="group" beanName="Up to date [Screen group]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_355" beanType="action" beanName="Archive [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_379" beanType="screen" beanName="Update message [Display text]" propertyName="Pre-activation expression" parentScreen="" />
    <class className="I4jScript_Internal_354" beanType="action" beanName="Download URL [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_353" beanType="action" beanName="Download directory [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_352" beanType="action" beanName="Comment [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_351" beanType="action" beanName="Download size [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_350" beanType="action" beanName="New version [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_370" beanType="action" beanName="Download size [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_360" beanType="screen" beanName="Update message [Display text]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_361" beanType="screen" beanName="Update message [Display text]" propertyName="Pre-activation expression" parentScreen="" />
    <class className="I4jScript_Internal_362" beanType="screen" beanName="Update message [Display text]" propertyName="Validation expression" parentScreen="" />
    <class className="I4jScript_Internal_363" beanType="action" beanName="Download location [Set a variable]" propertyName="Script" parentScreen="Download new version [Display progress]" />
    <class className="I4jScript_Internal_382" beanType="group" beanName="Execute installer [Action group]" propertyName="Condition expression" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_364" beanType="group" beanName="Execute installer [Action group]" propertyName="Condition expression" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_347" beanType="screen" beanName="Welcome [Banner screen]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_383" beanType="form component" beanName="Radio button group" propertyName="Initialization script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_365" beanType="form component" beanName="Radio button group" propertyName="Initialization script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_346" beanType="action" beanName="Delete config file [Delete a file or directory]" propertyName="Condition expression" parentScreen="Uninstallation" />
    <class className="I4jScript_Internal_384" beanType="form component" beanName="Hyperlink action label" propertyName="Action script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_366" beanType="form component" beanName="Hyperlink action label" propertyName="Action script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_349" beanType="group" beanName="Update available [Action group]" propertyName="Condition expression" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_367" beanType="action" beanName="Update descriptor entry [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_348" beanType="action" beanName="Update descriptor entry [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_368" beanType="group" beanName="Update available [Action group]" propertyName="Condition expression" parentScreen="Startup" />
    <class className="I4jScript_Internal_343" beanType="action" beanName="Create a quick launch icon" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_369" beanType="action" beanName="New version [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_342" beanType="action" beanName="HPROF files [Create a file association]" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_345" beanType="action" beanName="Execute launcher" propertyName="Condition expression" parentScreen="Finish" />
    <class className="I4jScript_Internal_344" beanType="action" beanName="Add a desktop link" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_341" beanType="action" beanName="JPS files [Create a file association]" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_340" beanType="form component" beanName="Create a quick launch icon [Check box]" propertyName="Initialization script" parentScreen="Additional confirmations" />
  </scriptClassOrigins>
</config>

